#include <\desmet\include\stdio.h>

#define NULL 0
#define OK 1
#define NOTOK 0

/*
 * copy		copy file named FROM to file named TO.                     
 *			Call as: retval=copy(from,to);
 *			Returns: 0 if ERROR  1 if Successful
 *
 *			if a file named TO exists, it is deleted prior to copy. 
 * int copy();
 * int retval;
 * char *from, *to;
 */                                                                
 
int
copy(from, to)
char *from, *to;
{
	FILE ifp, ofp;
	int	bytes, ret;
	char buf[1024];


	if ((ifp = fopen(from, "r")) == NULL)
		return NOTOK;	/* Can't open input file */

	if ((ofp = fopen(to, "w")) == NULL)
		return NOTOK;	/* Can't open output file */

	bytes=fread(buf, 1, sizeof buf,ifp);
	while (bytes) {
		if((ret=fwrite(buf, 1, bytes,ofp)) != bytes) {
			fclose(ifp);
			fclose(ofp);
			return NOTOK;
		}			
		bytes=fread(buf, 1, sizeof buf,ifp);
	}

	fclose(ifp);
	fclose(ofp);

	return OK;

}
