/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * equipment	See what it hooked onto the PC.
 *				Returns number of a particular equipment type.
 *
 *	Types are:
 *               1 - printers
 * 				 2 - game ports
 *				 3 - rs232 ports
 *               4 - diskette drives
 *				 5 - initial video mode
 *					 0 40x25 BW with color card	
 *					 2 80x25 BW with color card
 *					 7 monochrome
 *				 6 - number of fixed disks 
 *	Returns 0 on error or if none of a particular type available.
 */
int
equipment(type)
int type;
{
	unsigned equip(), stuff;
	int Hdisk(), howmany;
	stuff=equip();
	switch(type) {
	case 1:
		howmany=(stuff>>14)&0x03;
		break;
	case 2:
		howmany=(stuff>>12)&0x01;
		break;
	case 3:
		howmany=(stuff>>9)&0x03;
		break;
	case 4:
		if(howmany=stuff&0x0001)
			howmany=((stuff>>6)&0x03)+1;
		break;
	case 5:
		howmany=(stuff>>4)&0x03;
		if(howmany == 1)
			howmany=0;
		else if(howmany == 3)
			howmany=7;
		break;
	case 6:
		howmany=Hdisk();
		break;
	default:	
		howmany=0;
	}
	return(howmany);
}
