/*
 *	IBM Keyboard Function Keys
 *		Values Returned from function KeyIn()
 *
 */

/*	Unshifted Function Keys */
 	#define F1		0xBB
 	#define F2		0xBC
 	#define F3		0xBD
 	#define F4		0xBE
 	#define F5		0xBF
	#define F6		0xC0
	#define F7		0xC1
	#define F8		0xC2
	#define F9		0xC3
	#define F10		0xC4

/*	Shifted Function Keys */
 	#define SF1		0xD4
 	#define SF2		0xD5
 	#define SF3		0xD6
 	#define SF4		0xD7
 	#define SF5		0xD8
	#define SF6		0xD9
	#define SF7		0xDA
	#define SF8		0xDB
	#define SF9		0xDC
	#define SF10	0xDD

/*	CTRL Function Keys */
 	#define CF1		0xDE
 	#define CF2		0xDF
 	#define CF3		0xE0
 	#define CF4		0xE1
 	#define CF5		0xE2
	#define CF6		0xE3
	#define CF7		0xE4
	#define CF8		0xE5
	#define CF9		0xE6
	#define CF10	0xE7

/*	ALT Function Keys */
 	#define AF1		0xE8
 	#define AF2		0xE9
 	#define AF3		0xEA
 	#define AF4		0xEB
 	#define AF5		0xEC
	#define AF6		0xED
	#define AF7		0xEE
	#define AF8		0xEF
	#define AF9		0xF0
	#define AF10	0xF1

/*  Cursor Pad Keys */
	#define HOME	0xC7
	#define LEFT	0xCB
	#define END		0xCF
	#define INS		0xD2
	#define UP		0xC8
	#define DOWN	0xD0
	#define PGUP	0xC9
	#define RIGHT	0xCD
	#define PGDN	0xD1
	#define DEL		0xD3
	#define CHOME	0xF7
	#define CLEFT	0xF3
	#define CEND	0xF5
	#define CPGUP	0x104 /* Must Check with a type int rather than char */
	#define CRIGHT	0xF4
	#define CPGDN	0xF6
    #define CPRTSC  0x10  /* Same as ^P */