/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * StrIndex	- Find a String Token in a given line.
 * 		   Returns the address of the token in the line or 0 if
 *		   the token is not found.
 *			Call as StrIndex(t,s);
 *			Where:
 *				t = pointer to token to find
 *				s = pointer to string to seach
 *
 * char *StrIndex();
 * char *t, *s;
 */
char *
StrIndex(s,t)
char *t, *s;
{
	int i, len;

	len=strlen(t);
	while(*s) {
		if(strncmp(s,t,len) == 0)
			return(s);
	++s;
	}	
	return(0);
}
