/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * fdate - Formatted date and time (Day Month Day, Year Time am/pm)
 *                 e.g., Monday May 13, 1985 8:25pm
 *         This routine should be called with a buffer that has at least
 *         40 characters.
 * 		   Returns the address of the buffer you passed thru so that
 *		   you can do stuff like printf("%s",fdate(buffer));
 *
 */
 
static char *days[]={"Sun","Mon","Tue","Wen","Thu",
                    "Fri","Sat"};
static char *mnths[]={"","Jan","Feb","Mar","Apr","May","Jun",
                      "Jul","Aug","Sep","Oct","Nov",
                      "Dec"};
char *
fdate(buffer)
char *buffer;
{
	int month,day,year,hour,min,second,dayofwk,am;

	dayofwk=GetDate(&month,&day,&year);
	GetTime(&hour,&min,&second);
	am=hour<12;
	hour=(hour==0?12:hour);
	if(hour>12)
		hour=hour-12;
	sprintf(buffer,"%s %s %d, %4d %02d:%02d:%02d%s",days[dayofwk],mnths[month],
	        day, year,hour,min,second,(am?"am":"pm"));
	return(buffer);
}

/*
 * attime
 *    displays the date and time at a specified place on the
 *    screen.
 */
/*
void
attime(row,col,attr)
int row,col;
char attr;
{
	char buffer[40];
    aPuts(row,col,attr,fdate(buffer));
}
*/