/* 
 * Structure of Data Transfer Area for file searches with wildcards
 * include this file in any subroutine that needs file search capability.
 */
struct DataArea {
	char dta_reserved[21];
	char dta_attribute;
	short int dta_time;
	short int dta_date;
	long int dta_file_size;
	char dta_name[13];
	} ;

/*
 * Attributes for FindFirst, FindNext, GetMod, and ChMod
 * You can set or check with '&' e.g., (attr & F_DIRECTORY)
 *	if(attr & (F_READ_ONLY & F_HIDDEN)
 */
#define F_NORMAL	0x00
#define F_READ_ONLY	0x01
#define F_HIDDEN	0x02
#define F_SYSTEM	0x04
#define F_LABEL		0x08
#define F_DIRECTORY	0x10
#define F_ARCHIVE	0x20
#define F_ALL		0xFF