#include <\desmet\include\stdio.h>
#include <\desmet\include\filefind.h>

#define OK 1
#define NOTOK 0
#define EOS '\0'
#define EXE ".EXE"
#define COM ".COM"
#define SEPARATOR ';'
#define BACKSLASH '\\'
#define CBACKSLASH "\\"
#define PERIOD '.'

int
_chain(program, args)
char *program, *args ;
{
	char path[85];
	char *GetPath();

	if(GetPath(program,path)) {
		if((strcmp(&path[strlen(path)-4],EXE) != 0) &&
		   (strcmp(&path[strlen(path)-4],COM) != 0))
				return -2;
		else
			return(chain(path, args));
	}
	else
		return ERR;
}

int
_exec(program, args)
char *program, *args ;
{
	char path[85];
	char *GetPath();

	if (GetPath(program,path)) {
		if((strcmp(&path[strlen(path)-4],EXE) != 0) &&
		   (strcmp(&path[strlen(path)-4],COM) != 0))
				return -2;
		else
			return (exec(path, args)) ;
	}
	else
		return ERR;
}

/*
 * Figure Out Where an Executable Program is in PATH
 */

char *
GetPath(program,buffer)
char *program;
char *buffer;
{
	char path[200], chkexe[85], *p, *b;
	char *GetEnv();
	int exe;

 	StrUpper(program);
/*
 * First Look in the current Path
 */
	strcpy(buffer,program);
 	if(isThere(buffer))
 		return OK;
	GetEnv("PATH",path,200);
	p=path;
	while(*p) {
		b=buffer;
		while(*p && *p != SEPARATOR)
			*b++=*p++;
		*b=EOS;
		if(*p == SEPARATOR)
			++p;
		if(buffer[strlen(buffer)-1] != BACKSLASH)
			strcat(buffer,CBACKSLASH);
		strcat(buffer,program);
		if(isThere(buffer))
			return OK;
	}
	*buffer=EOS;
	return NOTOK;
}

int
isThere(file)
char *file;
{
	char buffer[85];
	char name[64];
	int ret;
	long oldseg, oldoffset;
	
	GetDta(&oldseg,&oldoffset);
	SetDta(name);
	if(index(file,PERIOD)) {
		if(findFirst(file,F_NORMAL))
			ret=OK;
		else 
			ret=NOTOK;
	}
	else {
		strcpy(buffer,file);
		strcat(buffer,EXE);
		ret=OK;
		if(!findFirst(buffer,F_NORMAL)) {
			strcpy(buffer,file);
			strcat(buffer,COM);
			if(!findFirst(buffer,F_NORMAL))
				ret=NOTOK;
		}
		if(ret)
			strcpy(file,buffer);
	}
	RestDta(oldseg,oldoffset);
	return(ret);
}
