/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * Translate dates into a julian format for comparison
 *             Returns the number of days since 12/31/39
 *
 */
 long jul(month,day,year)
 int month, day, year;
 {
     long julian, sm, sd, sy, m, d, y, start;

     sd = 31;
     sm = 12;
     sy = 1939;
/* Cast ints to longs for calculation */
	 m=month;
	 d=day;
	 y=year;
	 
     start=sd-32075+1461*(sy+4800+(sm-14)/12)/4+367*
           (sm-2-(sm-14)/12*12)/12-3*((sy+4900+
           (sm-14)/12)/100)/4;

     julian=day-32075+1461*(y+4800+(m-14)/12)/4+367*
           (m-2-(m-14)/12*12)/12-3*((y+4900+
           (m-14)/12)/100)/4;

     return(julian-start);
}
