/* this is a test file to see if yawindow.s is compatible with pcc1.2d	*/
/* pcc yatest														*/
/* pccl yawtest pcio.o yawindow.s 									*/


#include <stdio.h>

#define ONE 49
#define TWO 50
#define ESC 27
#define UP 30
#define DOWN 31
#define RIGHT 28
#define LEFT 29
#define RETURN 13

/* these are the yawindow header files */

#include <w_.h>
#include <s_.h>


main(){
	WP w1;  /*this is the windows assigned number used in manipulation*/
	WP w2;
	int keyhit; /*this is used in moving a window */
	

	scr_setup(); /*setup for scr function call */
	w_setup(); /* setup as per the instructions */
	
	s_attr = 10;
	s_curstat=1;
	s_curtype=0x0007;

	w_clr();	/* clear the screen and home curser */
	w_cursoff();

	w1=w_open(0,0,10,45); /* open the first window */
	w_title("[ Window 1 ]");
	w_center("This is a test of the");
	w_puts("\n");
	w_center("yawindow.s library");
	w_puts("\n");	
	w_center("hit 1 or 2 to select which");
	w_puts("\n");	
	w_center("window is active.");
	w_puts("\n");
	w_center("hit return to close this window");


	w2 =w_open(5,25,15,60); /*open the second window*/
	w_title("[ Window 2 ]");

	w_puts(" you can move these windows\n");
	w_puts(" by using the arrow keys\n");
	w_puts(" hit esc to exit program\n");

	do{

	keyhit=scr_csts(); /*check keyboard buffer*/

	switch(keyhit)
		{
		 case (TWO):	w_active(w2);
		 				break;

		 case (ONE):	w_active(w1);
		 				break;

		 case (UP):	w_move(1);  /*move up*/
		 				break;

		 case (RIGHT):	w_move(2);	/*move right*/
		 				break;
	
		 case (DOWN):	w_move(3);	/*move down*/
		 				break;
		
		 case (LEFT):	w_move(4);	/*move left*/
		 				break;
		
		 case (ESC):	w_closeall(); /*closes the windows */
		 				scr_curson(); /*turn the curson back on in 0x0607 mode*/
		 				exit();		/*exit clean*/
		 				break;

		case(RETURN):	w_close(w1);
						break;		 
		}
	
	 }while(TRUE);	

}



